Foreman - Bug #31483

Error message for blank template & fix resetting fields
12/09/2020 11:40 AM - Leos Stejskal

Status: Closed
Priority: Normal
Assignee: Leos Stejskal
Category: Templates
Target version: 2.3.3
Difficulty: Fixed in Releases: 2.3.3,24.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/8196,
https://github.com/theforeman/foreman/p
ull/8287
Description

e Empty template is now displaying error message (plus tab header has red color)
¢ Type field & OS Association is not reset anymore when there is a validation error

Associated revisions

Revision 958bad54 - 01/22/2021 03:24 PM - Leos Stejskal

Fixes #31483 - Provisioning templates - Error message for blank template & fix resetting fields

Empty template is now displaying error message (plus tab header has red color)
Type field & OS Association is not reset anymore when there is a validation error

History

#1 - 12/09/2020 11:43 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/8196 added

#2 - 01/22/2021 03:24 PM - The Foreman Bot
- Fixed in Releases 2.4.0 added

#3 - 01/22/2021 04:01 PM - Leos Stejskal
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|958bad54f3378a8d7b6a5785b28ac6da90185753.

#4 - 01/22/2021 07:33 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/8261 added

#5 - 01/27/2021 09:43 AM - Marek Hulan

- Target version set to 2.3.3

#6 - 01/27/2021 09:55 AM - Marek Hulan
- Pull request deleted (https://github.com/theforeman/foreman/pull/8261)

not sure why the bot linked this PR, it's unrelated

#7 - 01/27/2021 10:04 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/8287 added
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/958bad54f3378a8d7b6a5785b28ac6da90185753

#8 - 01/27/2021 01:16 PM - Tomer Brisker
- Fixed in Releases 2.3.3 added

#9 - 03/18/2021 09:07 AM - Tomer Brisker

- Category set to Templates
#10 - 03/18/2021 09:09 AM - Tomer Brisker

- Subject changed from Provisioning templates - Error message for blank template & fix resetting fields to Error message for blank template & fix
resetting fields
